// IDownloadCallback.aidl
package com.wunding.mlplayer.downloader;

// Declare any non-default types here with import statements

interface IDownloadCallback {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
    void onStart(int id);// 等待下载

    void onProgress(int id,int progress,long speed,long completedSize,long totalSize);// 更新下载进度

    void onPause(int id);// 下载已暂停

    void onCancel(int id);// 下载已取消

    void onFail(int id);// 下载已失败

    void onSuccess(int id,String filePath);// 下载成功

    void onDowning(int id);// 在下载中,针对重复下载
}
