// IDownloadToService.aidl
package com.wunding.mlplayer.downloader;

// Declare any non-default types here with import statements
import com.wunding.mlplayer.downloader.Downloader;
import com.wunding.mlplayer.downloader.IDownloadCallback;

interface IDownloadToService {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
    Downloader findDownloader(String downUrl);

    Downloader findDownloaderWithMD5(String downUrl,String md5);

    void startDownload(String url,IDownloadCallback callback);

    void resumeDownload(String url,IDownloadCallback callback);

}
